body {
  margin: 0;
}

.layout-preloader-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100vw;
    background-color: #0d82c1;
}


#loader {
    position: absolute;
    top: calc(50% - 20px);
    left: calc(50% - 20px);
}
@keyframes loader {
    0% {
        left: -100px;
    }
    100% {
        left: 110%;
    }
}
#box {
    width: 50px;
    height: 50px;
    background: #44a147;
    animation: animate 0.5s linear infinite;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 3px;
}
@keyframes animate {
    17% {
        border-bottom-right-radius: 3px;
    }
    25% {
        transform: translateY(9px) rotate(22.5deg);
    }
    50% {
        transform: translateY(18px) scale(1, 0.9) rotate(45deg);
        border-bottom-right-radius: 40px;
    }
    75% {
        transform: translateY(9px) rotate(67.5deg);
    }
    100% {
        transform: translateY(0) rotate(90deg);
    }
}
#shadow {
    width: 50px;
    height: 5px;
    background: #000;
    opacity: 0.1;
    position: absolute;
    top: 59px;
    left: 0;
    border-radius: 50%;
    animation: shadow 0.5s linear infinite;
}
@keyframes shadow {
    50% {
        transform: scale(1.2, 1);
    }
}

h4 {
    position: absolute;
    bottom: 20px;
    left: 20px;
    margin: 0;
    font-weight: 200;
    opacity: 0.5;
    font-family: sans-serif;
    color: #fff;
}

.layout-preloader-container .layout-preloader:before {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  animation: preloader-rotate-c 1s linear infinite;
}
.layout-preloader-container .layout-preloader span {
  display: block;
  position: absolute;
  top: calc(50% - 2px);
  left: 50%;
  width: 50%;
  height: 4px;
  background: transparent;
  transform-origin: left;
  animation: preloader-rotate 1s linear infinite;
}
.layout-preloader-container .layout-preloader span:before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  top: -6px;
  right: -8px;
}

@keyframes preloader-rotate-c {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes preloader-rotate {
  0% {
    transform: rotate(45deg);
  }
  100% {
    transform: rotate(405deg);
  }
}
